﻿Option Strict On
Imports System.Xml.Linq
Imports System.IO
Imports System.IO.IsolatedStorage
Partial Public Class DataIchiranPage
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overrides Sub OnNavigatedTo(e As System.Windows.Navigation.NavigationEventArgs)
        Dim storage As IsolatedStorageFile = IsolatedStorageFile.GetUserStoreForApplication
        Dim filePath As String = Path.Combine("PersonalInfo", "PersonalInfo.xml")
        Using myStream As IsolatedStorageFileStream = storage.OpenFile(filePath, FileMode.Open, FileAccess.Read)
            Using reader As StreamReader = New StreamReader(myStream, System.Text.Encoding.UTF8)
                Dim readXmldoc As String = reader.ReadToEnd
                Dim doc As XElement = XElement.Parse(readXmldoc)
                Dim nameList As New List(Of String)

                'reader.Dispose()
                'myStream.Dispose()
                For Each result In From c In doc.Descendants("情報") Select c
                    nameList.Add(result.Element("氏名").Value)
                Next
                ListBox1.ItemsSource = nameList
            End Using
        End Using
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Sub ListBox1_SelectionChanged(sender As Object, e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox1.SelectionChanged
        NavigationService.Navigate(New Uri(String.Format("/MainPage.xaml?Index={0}", ListBox1.SelectedIndex.ToString), UriKind.Relative))
    End Sub


    'Protected Overrides Sub OnBackKeyPress(e As System.ComponentModel.CancelEventArgs)
    '    e.Cancel = True
    '    MyBase.OnBackKeyPress(e)
    'End Sub
End Class
